CrossOver updated to 11.2.1

Posted by:
Date: Monday, August 27th, 2012, 17:14
Category: News, Software

CrossOver, the popular virtualization program from CodeWeavers, has been updated to version 11.2.1. The new version, which is available as a demo, offers the following fixes and changes:

- This release updates the ‘Crosstie’ installation recipes to avoid errors with failed downloads. You should install this update to avoid these errors.

CrossOver 11.2.1 retails for US$59.95 and requires Mac OS X 10.5 and or later and an Intel-based Mac to install and run.

If you’ve tried the new version and have any feedback to offer, please let us know in the comments.

Recent Posts